using System.Windows.Forms;
namespace Infragistics.StyleLibrary
{
    public class GetStyleLibrary
    {
        #region Private Members

        private const string IslFileName = "IG.isl";
        private const string DataRegistryKey = @"Infragistics\NetAdvantage\Net\Full\WinForms\CLR4x\Version" + Infragistics.Shared.AssemblyVersion.MajorMinor + @"\WinDataDir";

        #endregion Private Members
        
        #region styleLibraryPath

        /// <summary>
        /// Path to the Style Library folder installed by the NetAdvatage product installer.
        /// </summary>
        private static string StyleLibraryPath
        {
            get
            {

                //Microsoft.Win32.RegistryKey dataRegKey = Microsoft.Win32.Registry.ClassesRoot.OpenSubKey(DataRegistryKey);

                string path = Application.ExecutablePath.Substring(0, Application.ExecutablePath.IndexOf ("\\bin"));

                //if (dataRegKey != null)
                //{
                //    path = dataRegKey.GetValue(null) as string + "StyleLibrary";
                //    dataRegKey.Close();
                //}

                return path;
            }
        }

        #endregion //styleLibraryPath
                
        #region Private Methods

        #region GetIsl

        public string GetIsl()
        {
           return System.IO.Path.Combine(StyleLibraryPath, IslFileName);
        }

        #endregion GetIsl

        #endregion Private Methods

    }
}
