using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.UltraWinToolbars;

namespace Ribbon_At_Runtime
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class MainDialog : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Panel Form1_Fill_Panel;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsManager ultraToolbarsManager1;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _Form1_Toolbars_Dock_Area_Left;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _Form1_Toolbars_Dock_Area_Right;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _Form1_Toolbars_Dock_Area_Top;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _Form1_Toolbars_Dock_Area_Bottom;
		private System.Windows.Forms.ImageList ilSmall;
		private System.Windows.Forms.ImageList ilLarge;
		private Infragistics.Win.UltraWinTabControl.UltraTabControl ultraTabControl1;
		private Infragistics.Win.UltraWinTabControl.UltraTabSharedControlsPage ultraTabSharedControlsPage1;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chkRibbonMinimized;
		private Infragistics.Win.UltraWinEditors.UltraComboEditor cboQatPosition;
		private Infragistics.Win.Misc.UltraLabel lblQatPosition;
		private Infragistics.Win.UltraWinTabControl.UltraTabPageControl ultraTabPageControl1;
		private Infragistics.Win.UltraWinTabControl.UltraTabPageControl ultraTabPageControl2;
		private Infragistics.Win.UltraWinTabControl.UltraTabPageControl ultraTabPageControl3;
		private Infragistics.Win.UltraWinTabControl.UltraTabPageControl ultraTabPageControl4;
		private System.Windows.Forms.Panel pnlBottom;
		private Infragistics.Win.UltraWinToolTip.UltraToolTipManager toolTipMgr;
		private Infragistics.Win.FormattedLinkLabel.UltraFormattedTextEditor txtHome;
		private Infragistics.Win.FormattedLinkLabel.UltraFormattedTextEditor txtHorizontalGroups;
		private Infragistics.Win.FormattedLinkLabel.UltraFormattedTextEditor txtVerticalGroups;
		private Infragistics.Win.FormattedLinkLabel.UltraFormattedTextEditor txtResizingDemo;
		private Infragistics.Win.Misc.UltraLabel lblColorScheme;
		private Infragistics.Win.UltraWinEditors.UltraComboEditor cboColorScheme;
		private System.ComponentModel.IContainer components;

		private const int LargeImageIndexOpen = 0;
		private const int LargeImageIndexNew = 1;
		private const int LargeImageIndexClose = 2;
		private const int LargeImageIndexSave = 3;
		private const int LargeImageIndexSaveAs = 4;
		private const int LargeImageIndexPaste = 5;
		private const int LargeImageIndexFirstChart = 6;

		#region Chart arrays

		private static readonly string[] ChartNames = new String[] {
			"Area 3D",		// area
			"Area",			// area
			"Bar 3D",		// bar
			"Bar",			// bar
			"Box",			// misc
			"Bubble 3D",	// bubble
			"Bubble",		// bubble
			"Candle",		// candle
			"Column 3D",	// column
			"Column",		// column
			"Column Line",	// column & line
			"Composite",	// misc
			"Cone 3D",		// column
			"Cylinder Bar 3D",			// bar
			"Cylinder Column 3D",		// column
			"Cylinder Stack Bar 3D",	// bar
			"Cylinder Stack Column 3D", // column
			"Doughnut 3D",	// doughnut
			"Doughnut",		// doughnut
			"Funnel 3D",	// misc
			"Funnel",		// misc
			"Gantt",		// misc
			"Heat Map 3D",	// surface
			"Heat Map",		// surface
			"Line 3D",		// line
			"Line",			// line
			"Pareto",		// misc
			"Pie 3D",		// pie
			"Pie",			// pie
			"Point 3D",		// misc
			"Polar",		// misc
		    "Probability",	// misc
			"Pyramid 3D",	// pyramid
			"Pyramid",		// pyramid
			"Radar",		// radar
			"Scatter",		// radar
		    "Scatter Line",	// line
			"Spline Area 3D",	// area
			"Spline Area",	// area
			"Spline 3D",	// line
			"Spline",		// line
			"Stack Bar 3D",	// bar
			"Stack Column 3D",	// column
			"Stack Area",		// area
			"Stack Bar",		// bar
			"Stack Column",		// column
			"Stack Line",	// line
			"Stack Spline Area",	// area
			"Stack Spline",	// line
			"Step Area",	// area
			"Step Line",	// line
		};

		private static readonly string[] ChartGroupsArea = new String[] {
			"Area 3D",		// area
			"Area",			// area
			"Spline Area 3D",	// area
			"Spline Area",	// area
			"Stack Area",		// area
			"Stack Spline Area",	// area
			"Step Area",	// area
		};

		private static readonly string[] ChartGroupsBar = new String[] {
			"Bar 3D",		// bar
			"Bar",			// bar
			"Cylinder Bar 3D",			// bar
			"Cylinder Stack Bar 3D",	// bar
			"Stack Bar 3D",	// bar
			"Stack Bar",		// bar
		};

		private static readonly string[] ChartGroupsMisc = new String[] {
			"Box",			// misc
			"Composite",	// misc
			"Funnel 3D",	// misc
			"Funnel",		// misc
			"Gantt",		// misc
			"Pareto",		// misc
			"Point 3D",		// misc
			"Polar",		// misc
		    "Probability",	// misc
			"Pyramid 3D",	// misc
			"Pyramid",		// misc
		};

		private static readonly string[] ChartGroupsBubble = new String[] {
			"Bubble 3D",	// bubble
			"Bubble",		// bubble
		};

		private static readonly string[] ChartGroupsCandle = new String[] {
			"Candle",		// stock
		};

		private static readonly string[] ChartGroupsColumn = new String[] {
			"Column 3D",	// column
			"Column",		// column
			"Column Line",	// column & line
			"Cone 3D",		// column
			"Cylinder Column 3D",		// column
			"Cylinder Stack Column 3D", // column
			"Stack Column 3D",	// column
			"Stack Column",		// column
		};

		private static readonly string[] ChartGroupsLine = new String[] {
			"Column Line",	// column & line
			"Line 3D",		// line
			"Line",			// line
		    "Scatter Line",	// line
			"Spline 3D",	// line
			"Spline",		// line
			"Stack Line",	// line
			"Stack Spline",	// line
			"Step Line",	// line
		};

		private static readonly string[] ChartGroupsDoughnut = new String[] {
			"Doughnut 3D",	// doughnut
			"Doughnut",		// doughnut
		};

		private static readonly string[] ChartGroupsHeat = new String[] {
			"Heat Map 3D",	// surface
			"Heat Map",		// surface
		};

		private static readonly string[] ChartGroupsPie = new String[] {
			"Pie 3D",		// pie
			"Pie",			// pie
		};

		private static readonly string[] ChartGroupsRadar = new String[] {
			"Radar",		// radar
			"Scatter",		// radar
		};
		private Infragistics.Win.UltraWinTabControl.UltraTabPageControl ultraTabPageControl6;
		private Infragistics.Win.FormattedLinkLabel.UltraFormattedTextEditor txtContextualTab;
		private System.Windows.Forms.ListBox lstEvents;
		private Infragistics.Win.UltraWinTabControl.UltraTabPageControl ultraTabPageControl5;
		private Infragistics.Win.FormattedLinkLabel.UltraFormattedTextEditor txtGeneralInfo;

		private static readonly string[] ChartGroupsPyramid = new String[] {
			"Pyramid 3D",	// pyramid
			"Pyramid",		// pyramid
		};
		#endregion // Chart arrays

		public MainDialog()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			Infragistics.Win.Appearance appearance1 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance2 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance3 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance4 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance5 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance6 = new Infragistics.Win.Appearance();
			Infragistics.Win.UltraWinTabControl.UltraTab ultraTab1 = new Infragistics.Win.UltraWinTabControl.UltraTab();
			Infragistics.Win.UltraWinTabControl.UltraTab ultraTab2 = new Infragistics.Win.UltraWinTabControl.UltraTab();
			Infragistics.Win.UltraWinTabControl.UltraTab ultraTab3 = new Infragistics.Win.UltraWinTabControl.UltraTab();
			Infragistics.Win.UltraWinTabControl.UltraTab ultraTab4 = new Infragistics.Win.UltraWinTabControl.UltraTab();
			Infragistics.Win.UltraWinTabControl.UltraTab ultraTab5 = new Infragistics.Win.UltraWinTabControl.UltraTab();
			Infragistics.Win.UltraWinTabControl.UltraTab ultraTab6 = new Infragistics.Win.UltraWinTabControl.UltraTab();
			Infragistics.Win.UltraWinToolbars.UltraTaskPaneToolbar ultraTaskPaneToolbar1 = new Infragistics.Win.UltraWinToolbars.UltraTaskPaneToolbar("UltraToolbar1");
			Infragistics.Win.UltraWinToolbars.TaskPaneTool taskPaneTool1 = new Infragistics.Win.UltraWinToolbars.TaskPaneTool("Events");
			Infragistics.Win.UltraWinToolbars.TaskPaneTool taskPaneTool2 = new Infragistics.Win.UltraWinToolbars.TaskPaneTool("Events");
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MainDialog));
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo1 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo2 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo3 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo4 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo5 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.Appearance appearance7 = new Infragistics.Win.Appearance();
			this.ultraTabPageControl1 = new Infragistics.Win.UltraWinTabControl.UltraTabPageControl();
			this.txtHome = new Infragistics.Win.FormattedLinkLabel.UltraFormattedTextEditor();
			this.ultraTabPageControl2 = new Infragistics.Win.UltraWinTabControl.UltraTabPageControl();
			this.txtHorizontalGroups = new Infragistics.Win.FormattedLinkLabel.UltraFormattedTextEditor();
			this.ultraTabPageControl3 = new Infragistics.Win.UltraWinTabControl.UltraTabPageControl();
			this.txtVerticalGroups = new Infragistics.Win.FormattedLinkLabel.UltraFormattedTextEditor();
			this.ultraTabPageControl4 = new Infragistics.Win.UltraWinTabControl.UltraTabPageControl();
			this.txtResizingDemo = new Infragistics.Win.FormattedLinkLabel.UltraFormattedTextEditor();
			this.ultraTabPageControl6 = new Infragistics.Win.UltraWinTabControl.UltraTabPageControl();
			this.txtContextualTab = new Infragistics.Win.FormattedLinkLabel.UltraFormattedTextEditor();
			this.ultraTabPageControl5 = new Infragistics.Win.UltraWinTabControl.UltraTabPageControl();
			this.txtGeneralInfo = new Infragistics.Win.FormattedLinkLabel.UltraFormattedTextEditor();
			this.lstEvents = new System.Windows.Forms.ListBox();
			this.Form1_Fill_Panel = new System.Windows.Forms.Panel();
			this.ultraTabControl1 = new Infragistics.Win.UltraWinTabControl.UltraTabControl();
			this.ultraTabSharedControlsPage1 = new Infragistics.Win.UltraWinTabControl.UltraTabSharedControlsPage();
			this.ultraToolbarsManager1 = new Infragistics.Win.UltraWinToolbars.UltraToolbarsManager(this.components);
			this._Form1_Toolbars_Dock_Area_Left = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
			this._Form1_Toolbars_Dock_Area_Right = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
			this._Form1_Toolbars_Dock_Area_Top = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
			this._Form1_Toolbars_Dock_Area_Bottom = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
			this.ilSmall = new System.Windows.Forms.ImageList(this.components);
			this.ilLarge = new System.Windows.Forms.ImageList(this.components);
			this.chkRibbonMinimized = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
			this.cboQatPosition = new Infragistics.Win.UltraWinEditors.UltraComboEditor();
			this.lblQatPosition = new Infragistics.Win.Misc.UltraLabel();
			this.pnlBottom = new System.Windows.Forms.Panel();
			this.lblColorScheme = new Infragistics.Win.Misc.UltraLabel();
			this.cboColorScheme = new Infragistics.Win.UltraWinEditors.UltraComboEditor();
			this.toolTipMgr = new Infragistics.Win.UltraWinToolTip.UltraToolTipManager(this.components);
			this.ultraTabPageControl1.SuspendLayout();
			this.ultraTabPageControl2.SuspendLayout();
			this.ultraTabPageControl3.SuspendLayout();
			this.ultraTabPageControl4.SuspendLayout();
			this.ultraTabPageControl6.SuspendLayout();
			this.ultraTabPageControl5.SuspendLayout();
			this.Form1_Fill_Panel.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.ultraTabControl1)).BeginInit();
			this.ultraTabControl1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.ultraToolbarsManager1)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.cboQatPosition)).BeginInit();
			this.pnlBottom.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.cboColorScheme)).BeginInit();
			this.SuspendLayout();
			// 
			// ultraTabPageControl1
			// 
			this.ultraTabPageControl1.Controls.AddRange(new System.Windows.Forms.Control[] {
																							   this.txtHome});
			this.ultraTabPageControl1.Name = "ultraTabPageControl1";
			this.ultraTabPageControl1.Size = new System.Drawing.Size(742, 382);
			// 
			// txtHome
			// 
			appearance1.FontData.Name = "Tahoma";
			this.txtHome.Appearance = appearance1;
			this.txtHome.Dock = System.Windows.Forms.DockStyle.Fill;
			this.txtHome.Name = "txtHome";
			this.txtHome.Size = new System.Drawing.Size(742, 382);
			this.txtHome.TabIndex = 3;
			this.txtHome.Value = "The <span style=\"font-weight:bold;\">Home<span style=\"font-weight:normal;\">&edsp;t" +
				"ab contains 3 ribbon groups. <br/><br/><span style=\"font-style:normal; font-weig" +
				"ht:bold; text-decoration:underline;\">Clipboard</span><br/>The clipboard group us" +
				"es a <span style=\"font-weight:bold;\">LayoutDirection</span>&edsp;of <span style=" +
				"\"font-weight:bold;\">Vertical</span>, which is the default value, and includes 1 " +
				"large and 2 small tools. <br/><br/><span style=\"font-weight:bold; text-decoratio" +
				"n:underline;\">Font</span><br/>The font group uses a <span style=\"font-weight:bol" +
				"d;\">LayoutDirection</span>&edsp;of <span style=\"font-weight:bold;\">Horizontal</s" +
				"pan>&edsp;and contains 7 tools organized into 2 button groups. All tools within " +
				"a RibbonGroup that have the same <span style=\"font-weight:bold;\">InstanceProps</" +
				"span>.<span style=\"font-weight:bold;\">ButtonGroup</span>&edsp;property are kept " +
				"together as a single unit. Normally when there is not enough room to display all" +
				" the tools within a ribbon group, the tools within a horizontally arranged Ribbo" +
				"nGroup will be displayed on 3 rows but since there are only 2 items (the 2 butto" +
				"n groups) this group will always show only 2 rows.<br/><br/><span style=\"font-we" +
				"ight:bold; text-decoration:underline;\">Chart<br/><span style=\"font-weight:normal" +
				"; text-decoration:none;\">The chart group contains 1 tool - a <span style=\"font-w" +
				"eight:bold;\">PopupGalleryTool</span>. The popup gallery tool is a new kind of to" +
				"ol that when placed on a RibbonGroup can display its items within the ribbon gro" +
				"up itself. The number of items displayed in this preview area is determined by t" +
				"he <span style=\"font-weight:bold;\">MinPreviewColumns<span style=\"font-weight:nor" +
				"mal;\">&edsp;and <span style=\"font-weight:bold;\">MaxPreviewColumns<span style=\"fo" +
				"nt-weight:normal;\">. You can prevent a PopupGalleryTool from displaying a previe" +
				"w in the ribbon by setting its <span style=\"font-weight:bold;\">ShowPreviewInRibb" +
				"on<span style=\"font-weight:normal;\">&edsp;to false. The gallery also has the abi" +
				"lity to display the items within groups in the dropdown portion and the ability " +
				"to provide a filter list at the top of the gallery that you can use to alter the" +
				" contents of the gallery.</span></span></span></span></span></span></span></span" +
				"><br/></span></span>";
			// 
			// ultraTabPageControl2
			// 
			this.ultraTabPageControl2.Controls.AddRange(new System.Windows.Forms.Control[] {
																							   this.txtHorizontalGroups});
			this.ultraTabPageControl2.Location = new System.Drawing.Point(-10000, -10000);
			this.ultraTabPageControl2.Name = "ultraTabPageControl2";
			this.ultraTabPageControl2.Size = new System.Drawing.Size(742, 382);
			// 
			// txtHorizontalGroups
			// 
			appearance2.FontData.Name = "Tahoma";
			this.txtHorizontalGroups.Appearance = appearance2;
			this.txtHorizontalGroups.Dock = System.Windows.Forms.DockStyle.Fill;
			this.txtHorizontalGroups.Name = "txtHorizontalGroups";
			this.txtHorizontalGroups.Size = new System.Drawing.Size(742, 382);
			this.txtHorizontalGroups.TabIndex = 4;
			this.txtHorizontalGroups.Value = @"The <span style=""font-weight:bold;"">Horizontal Groups</span>&edsp;contains 3 RibbonGroups. Each RibbonGroup has the same exact tools and has its <span style=""font-weight:bold;"">LayoutDirection</span> set to <span style=""font-weight:bold;"">Horizontal</span>&edsp;but is using a different value for the LayoutAlignment. When set to <span style=""font-weight:bold;"">Near</span>, which is the default value, the tool rows are aligned to the left. When set to <span style=""font-weight:bold;"">Center</span>, the tool rows are centered horizontally. When set to <span style=""font-weight:bold;"">Far</span>, the tool rows are aligned to the right.<br/><br/>As you resize the form smaller and there is not enough space to accomodate all the tools in the group, you will notice that the groups will change from positioning the tools within 2 rows to positioning them within 3 rows.<br/>";
			// 
			// ultraTabPageControl3
			// 
			this.ultraTabPageControl3.Controls.AddRange(new System.Windows.Forms.Control[] {
																							   this.txtVerticalGroups});
			this.ultraTabPageControl3.Location = new System.Drawing.Point(-10000, -10000);
			this.ultraTabPageControl3.Name = "ultraTabPageControl3";
			this.ultraTabPageControl3.Size = new System.Drawing.Size(742, 382);
			// 
			// txtVerticalGroups
			// 
			appearance3.FontData.Name = "Tahoma";
			this.txtVerticalGroups.Appearance = appearance3;
			this.txtVerticalGroups.Dock = System.Windows.Forms.DockStyle.Fill;
			this.txtVerticalGroups.Name = "txtVerticalGroups";
			this.txtVerticalGroups.Size = new System.Drawing.Size(742, 382);
			this.txtVerticalGroups.TabIndex = 5;
			this.txtVerticalGroups.Value = @"The <span style=""font-weight:bold;"">Vertical Groups</span>&edsp;contains 3 RibbonGroups. Each RibbonGroup has the same exact tools and has its <span style=""font-weight:bold;"">LayoutDirection</span> set to <span style=""font-weight:bold;"">Vertical</span>, which is the default value, but is using a different value for the LayoutAlignment. When set to <span style=""font-weight:bold;"">Near</span>, which is the default value, the tools in each column are aligned to the top. When set to <span style=""font-weight:bold;"">Center</span>, the tools in each column are centered vertically with an even amount of spacing around the tools. When set to <span style=""font-weight:bold;"">Far</span>, the tools in each column are aligned to the bottom. <br/><br/>Notice that tools in a button group (i.e. tools in a single ribbon group that have their <span style=""font-weight:bold;"">InstanceProps.ButtonGroup</span>&edsp;set to the same value) are treated as a single item and occupy one row in a column.<br/>";
			// 
			// ultraTabPageControl4
			// 
			this.ultraTabPageControl4.Controls.AddRange(new System.Windows.Forms.Control[] {
																							   this.txtResizingDemo});
			this.ultraTabPageControl4.Location = new System.Drawing.Point(-10000, -10000);
			this.ultraTabPageControl4.Name = "ultraTabPageControl4";
			this.ultraTabPageControl4.Size = new System.Drawing.Size(742, 382);
			// 
			// txtResizingDemo
			// 
			appearance4.FontData.Name = "Tahoma";
			this.txtResizingDemo.Appearance = appearance4;
			this.txtResizingDemo.Dock = System.Windows.Forms.DockStyle.Fill;
			this.txtResizingDemo.Name = "txtResizingDemo";
			this.txtResizingDemo.Size = new System.Drawing.Size(742, 382);
			this.txtResizingDemo.TabIndex = 6;
			this.txtResizingDemo.Value = "The <span style=\"font-weight:bold;\">Resizing Demo</span>&edsp;tab contains severa" +
				"l groups each demonstrating different layout scenarios. The Ribbon automatically" +
				" resizes the contents of the groups to try and keep all of the tools within view" +
				". The following describes the contents of the groups and the various resize phas" +
				"es that can occur.<br/><br/>The <span style=\"font-weight:bold;\">Large Tools</spa" +
				"n>&edsp;group contains 4 tools, each with their <span style=\"font-weight:bold;\">" +
				"InstanceProps.PreferredSizeOnRibbon</span>&edsp;set to <span style=\"font-weight:" +
				"bold;\">Large</span>. One of the resize phases involves reducing 3 consecutive la" +
				"rge tools to a vertical column of 3 \"normal\" tools (i.e. tools that display usin" +
				"g the small image size and their caption within a single line). It is possible t" +
				"o prevent a tool from being reduced by setting its <span style=\"font-weight:bold" +
				";\">InstanceProps.MinimumSizeOnRibbon</span>. In this example, the 4th tool has s" +
				"et the MinimumSizeOnRibbon to Large so that it will always be displayed as a lar" +
				"ge tool. As you resize the form smaller, you will notice that the first 3 tools " +
				"will be reorganized into a column of 3 smaller tools.<br/><br/>The <span style=\"" +
				"font-weight:bold;\">Horizontal </span>group has its <span style=\"font-weight:bold" +
				";\">LayoutDirection</span>&edsp;set to <span style=\"font-weight:bold;\">Horizontal" +
				"</span>&edsp;so that its tools are arranged into rows. By default, the tools are" +
				" placed into 2 rows with vertical spacing between and outside the tools. Another" +
				" resize phase that occurs is rearranging the tools within a Horizontal ribbon gr" +
				"oup so that the tools are arranged within 3 rows.<br/><br/>The Gallery group con" +
				"tains 2 large tools (<span style=\"font-style:italic;\">New</span> and<span style=" +
				"\"font-style:italic;\"> Open</span>) and a PopupGalleryTool that has its ShowPrevi" +
				"ewInRibbon set to true. The <span style=\"font-weight:bold;\">MinPreviewColumns</s" +
				"pan>&edsp;and <span style=\"font-weight:bold;\">MaxPreviewColumns</span>&edsp;prop" +
				"erties of the gallery tool have been set to 3 and 6 respectively. When there is " +
				"more than enough room to show the minimum number of preview columns for all of t" +
				"he gallery tools, the ribbon will begin to increase the size of the gallery tool" +
				"s up to their maximum number of preview columns. When there is not enough room, " +
				"the ribbon will reduce the number of preview columns down to the minimum. If add" +
				"itional space is required, the ribbon will collapse the gallery tool to display " +
				"as a Large popup tool.<br/><br/>The <span style=\"font-weight:bold;\">Normal Tools" +
				"</span>&edsp;group contains 4 tools with their <span style=\"font-weight:bold;\">I" +
				"nstanceProps.PreferredSizeOnRibbon </span>set to the default value - which is <s" +
				"pan style=\"font-weight:bold;\">Normal </span>for button tools. The InstanceProps." +
				"IsFirstInGroup property of the <span style=\"font-style:italic;\">Undo </span>tool" +
				" has been set to true so that it will display a separator before it. This group " +
				"demonstrates two additional resize phases. One is that when space is needed, sep" +
				"arators will be removed. When the Undo separator has been removed, the Undo tool" +
				" is free to be positioned under the first two tools. Another phase that will occ" +
				"ur if space is still needed is that the captions of tools will be removed. As yo" +
				"u slowly resize, you should notice that the caption of tool in the 2nd column wi" +
				"ll be removed. If you continue to resize smaller, the caption from the tools in " +
				"the previous column will be removed. Note, you can prevent this by setting the <" +
				"span style=\"font-weight:bold;\">InstanceProps.MinimumSizeOnRibbon</span>&edsp;of " +
				"a tool to <span style=\"font-weight:bold;\">Normal</span>.<br/><br/>One of the las" +
				"t resize phases to occur is to collapse a RibbonGroup such that it is displayed " +
				"as a dropdown button. When the dropdown button is clicked, the contents are disp" +
				"layed in a dropdown window. It is possible to prevent a RibbonGroup from collaps" +
				"ing by setting its <span style=\"font-weight:bold;\">Settings.CanCollapse</span>&e" +
				"dsp;property to false.<br/><br/>If all the resize phases have been completed and" +
				" there still is not enough room to display the contents of the ribbon groups wit" +
				"hin the tab area, pager buttons will be displayed on the sides of the tab page a" +
				"rea. Another resize behavior that you may notice is that the ribbon will automat" +
				"ically hide when the size of the containing window are size below the <span styl" +
				"e=\"font-weight:bold;\">AutoCollapseThresholdVertical </span>and <span style=\"font" +
				"-weight:bold;\">AutoCollapseThresholdHorizontal </span>of the Ribbon.<br/>";
			// 
			// ultraTabPageControl6
			// 
			this.ultraTabPageControl6.Controls.AddRange(new System.Windows.Forms.Control[] {
																							   this.txtContextualTab});
			this.ultraTabPageControl6.Location = new System.Drawing.Point(-10000, -10000);
			this.ultraTabPageControl6.Name = "ultraTabPageControl6";
			this.ultraTabPageControl6.Size = new System.Drawing.Size(742, 382);
			// 
			// txtContextualTab
			// 
			appearance5.FontData.Name = "Tahoma";
			this.txtContextualTab.Appearance = appearance5;
			this.txtContextualTab.Dock = System.Windows.Forms.DockStyle.Fill;
			this.txtContextualTab.Name = "txtContextualTab";
			this.txtContextualTab.ScrollBarDisplayStyle = Infragistics.Win.UltraWinScrollBar.ScrollBarDisplayStyle.Never;
			this.txtContextualTab.Size = new System.Drawing.Size(742, 382);
			this.txtContextualTab.TabIndex = 8;
			this.txtContextualTab.Value = @"The <span style=""font-weight:bold;"">Contextual Tab</span>&edsp;tab demonstrates the ribbon's ability to display contextual tabs. Contextual tabs are normal <span style=""font-weight:bold;"">RibbonTab </span>instances that have their <span style=""font-weight:bold;"">ContextualTabGroup </span>property set to a ContextualTabGroup that has been added to the Ribbon's <span style=""font-weight:bold;"">ContextualTabGroups</span>&edsp;collection. The <span style=""font-weight:bold;"">Caption </span>of a contextual tab group is displayed above the tab item in the ribbon's caption area.&edsp;&edsp;The <span style=""font-weight:bold;"">Visible </span>property of the ContextualTabGroup can be used to show/hide all the tabs that belong to that contextual tab group.";
			// 
			// ultraTabPageControl5
			// 
			this.ultraTabPageControl5.Controls.AddRange(new System.Windows.Forms.Control[] {
																							   this.txtGeneralInfo});
			this.ultraTabPageControl5.Location = new System.Drawing.Point(-10000, -10000);
			this.ultraTabPageControl5.Name = "ultraTabPageControl5";
			this.ultraTabPageControl5.Size = new System.Drawing.Size(742, 382);
			// 
			// txtGeneralInfo
			// 
			appearance6.FontData.Name = "Tahoma";
			this.txtGeneralInfo.Appearance = appearance6;
			this.txtGeneralInfo.Dock = System.Windows.Forms.DockStyle.Fill;
			this.txtGeneralInfo.Name = "txtGeneralInfo";
			this.txtGeneralInfo.Size = new System.Drawing.Size(742, 382);
			this.txtGeneralInfo.TabIndex = 4;
			this.txtGeneralInfo.Value = "<span style=\"font-weight:normal;\">The Ribbon consists of 3 main areas - the Ribbo" +
				"n (tabs/groups), the ApplicationMenu and the QuickAccessToolbar.<br/><br/><span " +
				"style=\"font-weight:bold; text-decoration:underline;\">RibbonTabs/Groups</span><br" +
				"/>* The Ribbon can be collapsed/expanded by settings its <span style=\"font-weigh" +
				"t:bold;\">IsMinimized</span>&edsp;property to true, double clicking on a tab item" +
				", pressing Ctrl-F1 or right clicking on the ribbon and clicking \"Minimize the Ri" +
				"bbon\".<br/>* You can use the <span style=\"font-weight:bold;\">MouseWheel </span>t" +
				"o scroll through the tabs when the mouse is over the ribbon.<br/>* The <span sty" +
				"le=\"font-weight:bold;\">DialogBoxLauncherKey </span>property of a RibbonGroup can" +
				" be set to the key of a ButtonTool in the toolbarsmanager to display a dialog bo" +
				"x launcher button on the right side of a ribbon group\'s caption.<br/>* <span sty" +
				"le=\"font-weight:bold;\">KeyTips </span>are displayed when the Alt key is pressed " +
				"and released. KeyTips provide a method for navigating the ribbon using the keybo" +
				"ard. KeyTips can be set for the ApplicationMenu, RibbonTab, RibbonGroup as well " +
				"as each Tool. In addition, a separate keytip can be specified for the segmented " +
				"portion of a segmented popup tool (i.e. a PopupTool whose DropDownArrowStyle is " +
				"set to Segmented or SegmentedStateButton). By default KeyTips will be automatica" +
				"lly generated for all tools. This can be disabled using the <span style=\"font-we" +
				"ight:bold;\">AutoGenerateKeyTips</span>&edsp;property of the UltraToolbarsManager" +
				".<br/>* By default, transitions are enabled when the mouse leaves the bounds of " +
				"a tab item, the application menu button and when the mouse enters/leaves a Ribbo" +
				"nGroup. These transitions can be disabled and additional ones enabled using the " +
				"<span style=\"font-weight:bold;\">TransitionAreas</span>&edsp;property of the Ultr" +
				"aToolbarsManager.<br/>* The <span style=\"font-weight:bold;\">FormDisplayStyle</sp" +
				"an>&edsp;property of the UltraToolbarsManager can be used to determine if the fo" +
				"rm should be rounded and if so, whether it should be sizable or fixed.<br/><br/>" +
				"<span style=\"font-weight:bold; text-decoration:underline;\">ApplicationMenu</span" +
				"><br/>*The application menu contains 3 sections - 2 menu like sections (<span st" +
				"yle=\"font-weight:bold;\">ToolsAreaLeft</span>, <span style=\"font-weight:bold;\">To" +
				"olAreaRight</span>) and a toolbar (<span style=\"font-weight:bold;\">FooterToolbar" +
				"</span>).<br/>*The image displayed within the rounded application menu button ca" +
				"n be controlled by changing the <span style=\"font-weight:bold;\">ApplicationMenuB" +
				"uttonImage</span>&edsp;property of the Ribbon.<br/>* Double clicking on the Appl" +
				"icationMenu button will close the form just as double clicking on the control bo" +
				"x of a form would.<br/><br/><span style=\"font-weight:bold; text-decoration:under" +
				"line;\">QuickAccessToolbar</span><br/>* You can right click on any tool in the Ul" +
				"traToolbarsManager and choose to add it to the QAT. Programatically this can be " +
				"done by adding to the <span style=\"font-weight:bold;\">Tools </span>collection of" +
				" the QuickAccessToolbar.<br/>* You can right click on the caption of a RibbonGro" +
				"up and choose to add it to the QAT. Programatically this is done by invoking the" +
				" <span style=\"font-weight:bold;\">AddToQuickAccessToolbar </span>method of a Ribb" +
				"onGroup instance.<br/>* The QAT can be shown above or below the ribbon. Programa" +
				"tically this can be done by changing the <span style=\"font-weight:bold;\">Locatio" +
				"n </span>property.<br/>* The quick customize button at the right side of the QAT" +
				" can display one or more tools. Clicking on one of these tools will either add a" +
				"n instance of that tool to the QAT or remove the instance depending on whether a" +
				"n instance of that tool is already in the QAT. You can populate this list of too" +
				"ls using the <span style=\"font-weight:bold;\">ContextMenuTools </span>property of" +
				" the QAT.<br/></span>";
			// 
			// lstEvents
			// 
			this.lstEvents.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.lstEvents.Location = new System.Drawing.Point(528, 288);
			this.lstEvents.Name = "lstEvents";
			this.lstEvents.Size = new System.Drawing.Size(160, 52);
			this.lstEvents.TabIndex = 11;
			// 
			// Form1_Fill_Panel
			// 
			this.Form1_Fill_Panel.Controls.AddRange(new System.Windows.Forms.Control[] {
																						   this.ultraTabControl1});
			this.Form1_Fill_Panel.Cursor = System.Windows.Forms.Cursors.Default;
			this.Form1_Fill_Panel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.Form1_Fill_Panel.Name = "Form1_Fill_Panel";
			this.Form1_Fill_Panel.Size = new System.Drawing.Size(742, 382);
			this.Form1_Fill_Panel.TabIndex = 0;
			// 
			// ultraTabControl1
			// 
			this.ultraTabControl1.Controls.AddRange(new System.Windows.Forms.Control[] {
																						   this.ultraTabSharedControlsPage1,
																						   this.ultraTabPageControl1,
																						   this.ultraTabPageControl2,
																						   this.ultraTabPageControl3,
																						   this.ultraTabPageControl4,
																						   this.ultraTabPageControl6,
																						   this.ultraTabPageControl5});
			this.ultraTabControl1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.ultraTabControl1.Name = "ultraTabControl1";
			this.ultraTabControl1.SharedControlsPage = this.ultraTabSharedControlsPage1;
			this.ultraTabControl1.Size = new System.Drawing.Size(742, 382);
			this.ultraTabControl1.Style = Infragistics.Win.UltraWinTabControl.UltraTabControlStyle.Wizard;
			this.ultraTabControl1.TabIndex = 0;
			ultraTab1.Key = "Home";
			ultraTab1.TabPage = this.ultraTabPageControl1;
			ultraTab1.Text = "tab1";
			ultraTab2.Key = "Horizontal Groups";
			ultraTab2.TabPage = this.ultraTabPageControl2;
			ultraTab2.Text = "tab2";
			ultraTab3.Key = "Vertical Groups";
			ultraTab3.TabPage = this.ultraTabPageControl3;
			ultraTab3.Text = "tab3";
			ultraTab4.Key = "Resizing Demo";
			ultraTab4.TabPage = this.ultraTabPageControl4;
			ultraTab4.Text = "tab4";
			ultraTab5.Key = "Contextual Tab";
			ultraTab5.TabPage = this.ultraTabPageControl6;
			ultraTab5.Text = "tab5";
			ultraTab6.Key = "Additional Info";
			ultraTab6.TabPage = this.ultraTabPageControl5;
			ultraTab6.Text = "tab6";
			this.ultraTabControl1.Tabs.AddRange(new Infragistics.Win.UltraWinTabControl.UltraTab[] {
																									   ultraTab1,
																									   ultraTab2,
																									   ultraTab3,
																									   ultraTab4,
																									   ultraTab5,
																									   ultraTab6});
			// 
			// ultraTabSharedControlsPage1
			// 
			this.ultraTabSharedControlsPage1.Location = new System.Drawing.Point(-10000, -10000);
			this.ultraTabSharedControlsPage1.Name = "ultraTabSharedControlsPage1";
			this.ultraTabSharedControlsPage1.Size = new System.Drawing.Size(742, 382);
			// 
			// ultraToolbarsManager1
			// 
			this.ultraToolbarsManager1.DesignerFlags = 0;
			this.ultraToolbarsManager1.DockWithinContainer = this;
			ultraTaskPaneToolbar1.AllowNavigationViaMenu = Infragistics.Win.DefaultableBoolean.False;
			ultraTaskPaneToolbar1.DockedColumn = 0;
			ultraTaskPaneToolbar1.DockedContentExtent = 78;
			ultraTaskPaneToolbar1.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Bottom;
			ultraTaskPaneToolbar1.DockedRow = 0;
			ultraTaskPaneToolbar1.HomeTaskPaneToolKey = "Events";
			ultraTaskPaneToolbar1.NavigationButtonStyle = Infragistics.Win.UltraWinToolbars.NavigationButtonStyle.None;
			ultraTaskPaneToolbar1.SelectedTaskPaneToolKey = "Events";
			ultraTaskPaneToolbar1.ShowHomeButton = Infragistics.Win.DefaultableBoolean.False;
			ultraTaskPaneToolbar1.Text = "UltraToolbar1";
			ultraTaskPaneToolbar1.Tools.AddRange(new Infragistics.Win.UltraWinToolbars.ToolBase[] {
																									  taskPaneTool1});
			this.ultraToolbarsManager1.Toolbars.AddRange(new Infragistics.Win.UltraWinToolbars.UltraToolbar[] {
																												  ultraTaskPaneToolbar1});
			taskPaneTool2.Control = this.lstEvents;
			taskPaneTool2.SharedProps.Caption = "Events";
			taskPaneTool2.SharedProps.ShowInCustomizer = false;
			this.ultraToolbarsManager1.Tools.AddRange(new Infragistics.Win.UltraWinToolbars.ToolBase[] {
																										   taskPaneTool2});
			this.ultraToolbarsManager1.BeforeRibbonGroupDropDown += new Infragistics.Win.UltraWinToolbars.BeforeRibbonGroupDropDownEventHandler(this.ultraToolbarsManager1_BeforeRibbonGroupDropDown);
			this.ultraToolbarsManager1.BeforeRibbonTabDropDown += new Infragistics.Win.UltraWinToolbars.BeforeRibbonTabDropDownEventHandler(this.ultraToolbarsManager1_BeforeRibbonTabDropDown);
			this.ultraToolbarsManager1.QuickAccessToolbarModified += new Infragistics.Win.UltraWinToolbars.QuickAccessToolbarModifiedEventHandler(this.ultraToolbarsManager1_QuickAccessToolbarModified);
			this.ultraToolbarsManager1.GalleryToolItemClick += new Infragistics.Win.UltraWinToolbars.GalleryToolItemEventHandler(this.ultraToolbarsManager1_GalleryToolItemClick);
			this.ultraToolbarsManager1.GalleryToolActiveItemChange += new Infragistics.Win.UltraWinToolbars.GalleryToolItemEventHandler(this.ultraToolbarsManager1_GalleryToolActiveItemChange);
			this.ultraToolbarsManager1.AfterRibbonGroupDropDown += new Infragistics.Win.UltraWinToolbars.RibbonGroupEventHandler(this.ultraToolbarsManager1_AfterRibbonGroupDropDown);
			this.ultraToolbarsManager1.AfterToolDropdown += new Infragistics.Win.UltraWinToolbars.ToolDropdownEventHandler(this.ultraToolbarsManager1_AfterToolDropdown);
			this.ultraToolbarsManager1.AfterRibbonTabCloseUp += new Infragistics.Win.UltraWinToolbars.RibbonTabEventHandler(this.ultraToolbarsManager1_AfterRibbonTabCloseUp);
			this.ultraToolbarsManager1.BeforeToolbarListDropdown += new Infragistics.Win.UltraWinToolbars.BeforeToolbarListDropdownEventHandler(this.ultraToolbarsManager1_BeforeToolbarListDropdown);
			this.ultraToolbarsManager1.BeforeApplicationMenuDropDown += new System.ComponentModel.CancelEventHandler(this.ultraToolbarsManager1_BeforeApplicationMenuDropDown);
			this.ultraToolbarsManager1.BeforeToolDropdown += new Infragistics.Win.UltraWinToolbars.BeforeToolDropdownEventHandler(this.ultraToolbarsManager1_BeforeToolDropdown);
			this.ultraToolbarsManager1.ToolValueChanged += new Infragistics.Win.UltraWinToolbars.ToolEventHandler(this.ultraToolbarsManager1_ToolValueChanged);
			this.ultraToolbarsManager1.BeforeRibbonTabSelected += new Infragistics.Win.UltraWinToolbars.BeforeRibbonTabSelectedEventHandler(this.ultraToolbarsManager1_BeforeRibbonTabSelected);
			this.ultraToolbarsManager1.AfterApplicationMenuCloseUp += new System.EventHandler(this.ultraToolbarsManager1_AfterApplicationMenuCloseUp);
			this.ultraToolbarsManager1.AfterApplicationMenuDropDown += new System.EventHandler(this.ultraToolbarsManager1_AfterApplicationMenuDropDown);
			this.ultraToolbarsManager1.AfterToolCloseup += new Infragistics.Win.UltraWinToolbars.ToolDropdownEventHandler(this.ultraToolbarsManager1_AfterToolCloseup);
			this.ultraToolbarsManager1.AfterRibbonTabSelected += new Infragistics.Win.UltraWinToolbars.RibbonTabEventHandler(this.ultraToolbarsManager1_AfterRibbonTabSelected);
			this.ultraToolbarsManager1.AfterRibbonGroupCloseUp += new Infragistics.Win.UltraWinToolbars.RibbonGroupEventHandler(this.ultraToolbarsManager1_AfterRibbonGroupCloseUp);
			this.ultraToolbarsManager1.GalleryToolFilterChange += new Infragistics.Win.UltraWinToolbars.GalleryToolFilterChangeEventHandler(this.ultraToolbarsManager1_GalleryToolFilterChange);
			this.ultraToolbarsManager1.ToolClick += new Infragistics.Win.UltraWinToolbars.ToolClickEventHandler(this.ultraToolbarsManager1_ToolClick);
			this.ultraToolbarsManager1.AfterRibbonTabDropDown += new Infragistics.Win.UltraWinToolbars.RibbonTabEventHandler(this.ultraToolbarsManager1_AfterRibbonTabDropDown);
			// 
			// _Form1_Toolbars_Dock_Area_Left
			// 
			this._Form1_Toolbars_Dock_Area_Left.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
			this._Form1_Toolbars_Dock_Area_Left.BackColor = System.Drawing.SystemColors.Control;
			this._Form1_Toolbars_Dock_Area_Left.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Left;
			this._Form1_Toolbars_Dock_Area_Left.ForeColor = System.Drawing.SystemColors.ControlText;
			this._Form1_Toolbars_Dock_Area_Left.Name = "_Form1_Toolbars_Dock_Area_Left";
			this._Form1_Toolbars_Dock_Area_Left.Size = new System.Drawing.Size(0, 414);
			this._Form1_Toolbars_Dock_Area_Left.ToolbarsManager = this.ultraToolbarsManager1;
			// 
			// _Form1_Toolbars_Dock_Area_Right
			// 
			this._Form1_Toolbars_Dock_Area_Right.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
			this._Form1_Toolbars_Dock_Area_Right.BackColor = System.Drawing.SystemColors.Control;
			this._Form1_Toolbars_Dock_Area_Right.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Right;
			this._Form1_Toolbars_Dock_Area_Right.ForeColor = System.Drawing.SystemColors.ControlText;
			this._Form1_Toolbars_Dock_Area_Right.Location = new System.Drawing.Point(742, 0);
			this._Form1_Toolbars_Dock_Area_Right.Name = "_Form1_Toolbars_Dock_Area_Right";
			this._Form1_Toolbars_Dock_Area_Right.Size = new System.Drawing.Size(0, 414);
			this._Form1_Toolbars_Dock_Area_Right.ToolbarsManager = this.ultraToolbarsManager1;
			// 
			// _Form1_Toolbars_Dock_Area_Top
			// 
			this._Form1_Toolbars_Dock_Area_Top.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
			this._Form1_Toolbars_Dock_Area_Top.BackColor = System.Drawing.SystemColors.Control;
			this._Form1_Toolbars_Dock_Area_Top.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Top;
			this._Form1_Toolbars_Dock_Area_Top.ForeColor = System.Drawing.SystemColors.ControlText;
			this._Form1_Toolbars_Dock_Area_Top.Name = "_Form1_Toolbars_Dock_Area_Top";
			this._Form1_Toolbars_Dock_Area_Top.Size = new System.Drawing.Size(742, 0);
			this._Form1_Toolbars_Dock_Area_Top.ToolbarsManager = this.ultraToolbarsManager1;
			// 
			// _Form1_Toolbars_Dock_Area_Bottom
			// 
			this._Form1_Toolbars_Dock_Area_Bottom.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
			this._Form1_Toolbars_Dock_Area_Bottom.BackColor = System.Drawing.SystemColors.Control;
			this._Form1_Toolbars_Dock_Area_Bottom.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Bottom;
			this._Form1_Toolbars_Dock_Area_Bottom.ForeColor = System.Drawing.SystemColors.ControlText;
			this._Form1_Toolbars_Dock_Area_Bottom.Location = new System.Drawing.Point(0, 414);
			this._Form1_Toolbars_Dock_Area_Bottom.Name = "_Form1_Toolbars_Dock_Area_Bottom";
			this._Form1_Toolbars_Dock_Area_Bottom.Size = new System.Drawing.Size(742, 102);
			this._Form1_Toolbars_Dock_Area_Bottom.ToolbarsManager = this.ultraToolbarsManager1;
			// 
			// ilSmall
			// 
			this.ilSmall.ColorDepth = System.Windows.Forms.ColorDepth.Depth8Bit;
			this.ilSmall.ImageSize = new System.Drawing.Size(16, 16);
			this.ilSmall.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilSmall.ImageStream")));
			this.ilSmall.TransparentColor = System.Drawing.Color.Silver;
			// 
			// ilLarge
			// 
			this.ilLarge.ColorDepth = System.Windows.Forms.ColorDepth.Depth8Bit;
			this.ilLarge.ImageSize = new System.Drawing.Size(32, 32);
			this.ilLarge.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilLarge.ImageStream")));
			this.ilLarge.TransparentColor = System.Drawing.Color.Silver;
			// 
			// chkRibbonMinimized
			// 
			this.chkRibbonMinimized.Location = new System.Drawing.Point(16, 12);
			this.chkRibbonMinimized.Name = "chkRibbonMinimized";
			this.chkRibbonMinimized.Size = new System.Drawing.Size(144, 16);
			this.chkRibbonMinimized.TabIndex = 0;
			this.chkRibbonMinimized.Text = "Minimize Ribbon";
			ultraToolTipInfo1.ToolTipTextFormatted = @"<p style=""width:300px;"">Changes the <span style=""font-weight:bold;"">IsMinimized</span> state of the Ribbon. The&edsp;&edsp;ribbon can be minimized by double clicking on a tab item, pressing Ctrl-F1 or right clicking on the UltraToolbarsManager and choosing ""Minimize the Ribbon"".</p>";
			this.toolTipMgr.SetUltraToolTip(this.chkRibbonMinimized, ultraToolTipInfo1);
			this.chkRibbonMinimized.CheckedChanged += new System.EventHandler(this.chkRibbonMinimized_CheckedChanged);
			// 
			// cboQatPosition
			// 
			this.cboQatPosition.DropDownStyle = Infragistics.Win.DropDownStyle.DropDownList;
			this.cboQatPosition.Location = new System.Drawing.Point(304, 8);
			this.cboQatPosition.Name = "cboQatPosition";
			this.cboQatPosition.Size = new System.Drawing.Size(136, 21);
			this.cboQatPosition.TabIndex = 1;
			ultraToolTipInfo2.ToolTipTextFormatted = @"<p style=""width:300px;"">Changes the <span style=""font-weight:bold;"">Location<span style=""font-weight:normal;"">&edsp;property of the QuickAccessToolbar. By default, the QAT is displayed above the ribbon in the caption area. The location can be changed by changing the Location property or by right clicking on the UltraToolbarsManager and choosing to show the QAT above or below the ribbon.</span></span></p>";
			this.toolTipMgr.SetUltraToolTip(this.cboQatPosition, ultraToolTipInfo2);
			this.cboQatPosition.SelectionChanged += new System.EventHandler(this.cboQatPosition_SelectionChanged);
			// 
			// lblQatPosition
			// 
			this.lblQatPosition.AutoSize = true;
			this.lblQatPosition.Location = new System.Drawing.Point(224, 12);
			this.lblQatPosition.Name = "lblQatPosition";
			this.lblQatPosition.Size = new System.Drawing.Size(74, 14);
			this.lblQatPosition.TabIndex = 2;
			this.lblQatPosition.Text = "QAT Position:";
			ultraToolTipInfo3.ToolTipTextFormatted = @"<p style=""width:300px;"">Changes the <span style=""font-weight:bold;"">Location<span style=""font-weight:normal;"">&edsp;property of the QuickAccessToolbar. By default, the QAT is displayed above the ribbon in the caption area. The location can be changed by changing the Location property or by right clicking on the UltraToolbarsManager and choosing to show the QAT above or below the ribbon.</span></span></p>";
			this.toolTipMgr.SetUltraToolTip(this.lblQatPosition, ultraToolTipInfo3);
			// 
			// pnlBottom
			// 
			this.pnlBottom.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.chkRibbonMinimized,
																					this.cboQatPosition,
																					this.lblQatPosition,
																					this.lblColorScheme,
																					this.cboColorScheme});
			this.pnlBottom.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.pnlBottom.Location = new System.Drawing.Point(0, 382);
			this.pnlBottom.Name = "pnlBottom";
			this.pnlBottom.Size = new System.Drawing.Size(742, 32);
			this.pnlBottom.TabIndex = 5;
			// 
			// lblColorScheme
			// 
			this.lblColorScheme.AutoSize = true;
			this.lblColorScheme.Location = new System.Drawing.Point(480, 12);
			this.lblColorScheme.Name = "lblColorScheme";
			this.lblColorScheme.Size = new System.Drawing.Size(79, 14);
			this.lblColorScheme.TabIndex = 2;
			this.lblColorScheme.Text = "Color Scheme:";
			ultraToolTipInfo4.ToolTipTextFormatted = @"<p style=""width:300px;"">Changes the <span style=""font-weight:bold;"">Location<span style=""font-weight:normal;"">&edsp;property of the QuickAccessToolbar. By default, the QAT is displayed above the ribbon in the caption area. The location can be changed by changing the Location property or by right clicking on the UltraToolbarsManager and choosing to show the QAT above or below the ribbon.</span></span></p>";
			this.toolTipMgr.SetUltraToolTip(this.lblColorScheme, ultraToolTipInfo4);
			// 
			// cboColorScheme
			// 
			this.cboColorScheme.DropDownStyle = Infragistics.Win.DropDownStyle.DropDownList;
			this.cboColorScheme.Location = new System.Drawing.Point(560, 8);
			this.cboColorScheme.Name = "cboColorScheme";
			this.cboColorScheme.Size = new System.Drawing.Size(136, 21);
			this.cboColorScheme.TabIndex = 1;
			ultraToolTipInfo5.ToolTipTextFormatted = @"<p style=""width:300px;"">Changes the <span style=""font-weight:bold;"">Location<span style=""font-weight:normal;"">&edsp;property of the QuickAccessToolbar. By default, the QAT is displayed above the ribbon in the caption area. The location can be changed by changing the Location property or by right clicking on the UltraToolbarsManager and choosing to show the QAT above or below the ribbon.</span></span></p>";
			this.toolTipMgr.SetUltraToolTip(this.cboColorScheme, ultraToolTipInfo5);
			this.cboColorScheme.SelectionChanged += new System.EventHandler(this.cboColorScheme_SelectionChanged);
			// 
			// toolTipMgr
			// 
			appearance7.FontData.Name = "Tahoma";
			this.toolTipMgr.Appearance = appearance7;
			this.toolTipMgr.ContainingControl = this;
			this.toolTipMgr.DisplayStyle = Infragistics.Win.ToolTipDisplayStyle.Office2007;
			// 
			// MainDialog
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(742, 516);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.Form1_Fill_Panel,
																		  this.pnlBottom,
																		  this.lstEvents,
																		  this._Form1_Toolbars_Dock_Area_Left,
																		  this._Form1_Toolbars_Dock_Area_Right,
																		  this._Form1_Toolbars_Dock_Area_Top,
																		  this._Form1_Toolbars_Dock_Area_Bottom});
			this.Name = "MainDialog";
			this.Text = "Ribbon at Runtime";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ultraTabPageControl1.ResumeLayout(false);
			this.ultraTabPageControl2.ResumeLayout(false);
			this.ultraTabPageControl3.ResumeLayout(false);
			this.ultraTabPageControl4.ResumeLayout(false);
			this.ultraTabPageControl6.ResumeLayout(false);
			this.ultraTabPageControl5.ResumeLayout(false);
			this.Form1_Fill_Panel.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.ultraTabControl1)).EndInit();
			this.ultraTabControl1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.ultraToolbarsManager1)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.cboQatPosition)).EndInit();
			this.pnlBottom.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.cboColorScheme)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main()
        { 
			//Load the IG isl File
			Infragistics.StyleLibrary.GetStyleLibrary style = new Infragistics.StyleLibrary.GetStyleLibrary();
			string islFile = style.GetIsl();
			Infragistics.Win.AppStyling.StyleManager.Load(islFile);

			Application.Run(new MainDialog());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			// whenever you are making lots of changes to tools, etc.
			// in the toolbarsmanager, it is best to invoke beginupdate
			// before making any changes and then call endupdate when
			// all the changes have been done. note, you must call
			// endupdate if you call beginupdate. we'll do it below
			// in a try/finally to ensure that it is invoked
			//
			this.ultraToolbarsManager1.BeginUpdate();

			try
			{
				this.InitializeRibbon();
			}
			finally
			{
				this.ultraToolbarsManager1.EndUpdate();
			}

			// QAT Location combo
			// ==================
			foreach(object value in Enum.GetValues(typeof(QuickAccessToolbarLocation)))
				this.cboQatPosition.Items.Add(value);

			this.cboQatPosition.Value = this.ultraToolbarsManager1.Ribbon.QuickAccessToolbar.Location;

			// Color Scheme combo
			// ==================
			foreach(object value in Enum.GetValues(typeof(Office2007ColorScheme)))
				this.cboColorScheme.Items.Add(value);

			this.cboColorScheme.Value = Office2007ColorTable.ColorScheme;
		}

		#region InitializeRibbon
		private void InitializeRibbon()
		{
			// by default, the ribbon is not visible. to show the ribbon
			// set the Visible property to true.
			this.ultraToolbarsManager1.Ribbon.Visible = true;

			// assign the imagelist we will use to provide the tool images, etc.
			this.ultraToolbarsManager1.ImageListLarge = this.ilLarge;
			this.ultraToolbarsManager1.ImageListSmall = this.ilSmall;

			// the ApplicationMenuButtonImage is used to specify the image
			// that will be displayed within the rounded application menu button
			// located at the upper left corner of the ribbon
			System.IO.Stream stream = typeof(MainDialog).Assembly.GetManifestResourceStream(typeof(MainDialog), "ig_office_icon.png");
			Image logo = Image.FromStream(stream);
			this.ultraToolbarsManager1.Ribbon.ApplicationMenuButtonImage = logo;

			// create some tools that can be sited on the toolbars, ribbon groups, etc.
			this.CreateTools();

			// this method shows how to create a basic ribbon tab with groups and tools
			// using some of the more common functionality of the ribbon
			this.CreateHomeTab();

			// this method shows how to populate the qat with tools as well
			// as control the tools that show in the quick customize menu
			this.InitializeQuickAccessToolbar();

			// the following method shows how to control the application
			// menu contents. the application menu has 3 main areas - a tool
			// area on the left and right and a footer toolbar
			this.InitializeApplicationMenu();

			// the following method creates some ribbon group to demonstrate the 
			// automatic resizing functionality.
			this.CreateResizableGroupTab();

			// the following code creates a tab with all horizontally arranged
			// groups to demonstrate how the LayoutAlignment affects the placement
			// of the tools in a horizontally oriented group
			this.CreateHorizontalGroupTab();

			// the following code creates a tab with all vertically arranged
			// groups to demonstrate how the LayoutAlignment affects the placement
			// of the tools in a vertically oriented group
			this.CreateVerticalGroupTab();

			// we have another tab that is blank but when selected provides 
			// additional information about the ribbon
			this.ultraToolbarsManager1.Ribbon.Tabs.Add("Additional Info");

			// the following method demonstrates how to create a contextual tab
			this.CreateContextualTab();
		}
		#endregion //InitializeRibbon

		#region CreateHomeTab
		/// <summary>
		/// Create the starting tab for the ribbon in the sample
		/// </summary>
		private void CreateHomeTab()
		{
			// by default the caption of the ribbon is initialized to the key
			// so the key and text in this tab will be 'Home'
			// note: the following two lines are equivalent to:
			//
			//RibbonTab homeTab = this.ultraToolbarsManager1.Ribbon.Tabs.Add("Home");
			RibbonTab homeTab = new RibbonTab("Home");
			this.ultraToolbarsManager1.Ribbon.Tabs.Add(homeTab);

			// Clipboard Group
			// ===============

			// create a ribbon group that will contain the clipboard tools
			// note, the following is another way to perform this action:
			//
			//RibbonGroup groupClipboard = homeTab.Groups.Add("Clipboard");
			RibbonGroup groupClipboard = new RibbonGroup("Clipboard");
			homeTab.Groups.Add(groupClipboard);

			// note: the tools being reference here were created prior to this
			// method by calling the CreateTools helper method.

			// adding a tool to the tools collection will return the instance
			// of the tool that was created so that you can manipulate its
			// InstanceProps - i.e. the settings for that particular instance
			// of the specified tool
			ToolBase pasteTool = groupClipboard.Tools.AddTool("Paste");
			pasteTool.InstanceProps.PreferredSizeOnRibbon = RibbonToolSize.Large;

			groupClipboard.Tools.AddTool("Cut");
			groupClipboard.Tools.AddTool("Copy");

			// set the DialogBoxLauncherKey to the key of a ButtonTool
			// that has been added to the toolbarsmanager's tools collection
			groupClipboard.DialogBoxLauncherKey = "ClipboardDialogLauncher";

			// the image assiged to the CollapsedAppearance of a group is used for 2 things - 
			// the image displayed in the collapsed ribbon group button when the layout 
			// indicates that the group needs to be collapsed to a dropdown button and by
			// the popup ribbon group tool when a ribbon group is added to the quick 
			// access toolbar
			groupClipboard.Settings.CollapsedAppearance.Image = 11;

			// Font Group
			// ==========
			RibbonGroup fontGroup = homeTab.Groups.Add("Font");
			fontGroup.DialogBoxLauncherKey = "FontDialogLauncher";

			// the default direction that tools are arranged is vertically
			// into columns but the LayoutDirection can be changed to 
			// arrange the tools from left to right in 2 rows of tools
			fontGroup.LayoutDirection = RibbonGroupToolLayoutDirection.Horizontal;

			// by default, most tool types are displayed using their image and text 
			// but this can be overriden - either on a specific tool by settings its
			// InstanceProps.PreferredSizeOnRibbon or the default size for tools within
			// a particular group can be set using the group's PreferredToolSize
			fontGroup.PreferredToolSize = RibbonToolSize.ImageOnly;

			// add the font related tools
			ToolBase fontNameTool = fontGroup.Tools.AddTool("FontName");
			ToolBase fontSizeTool = fontGroup.Tools.AddTool("FontSize");
			fontNameTool.InstanceProps.Width = 120;
			fontSizeTool.InstanceProps.Width = 60;

			ToolBase boldTool = fontGroup.Tools.AddTool("Bold");
			ToolBase italicTool = fontGroup.Tools.AddTool("Italic");
			ToolBase underlineTool = fontGroup.Tools.AddTool("Underline");
			ToolBase strikethruTool = fontGroup.Tools.AddTool("StrikeThrough");
			ToolBase dblUnderlineTool = fontGroup.Tools.AddTool("DoubleUnderline");

			// the ButtonGroup property of a ribbon group tool's InstanceProps
			// can be used to keep the tools together as a group. all the tools
			// within a particular RibbonGroup with the same ButtonGroup text
			// will be displayed together
			fontNameTool.InstanceProps.ButtonGroup = "Font Group";
			fontSizeTool.InstanceProps.ButtonGroup = "Font Group";

			boldTool.InstanceProps.ButtonGroup = "Font Settings";
			italicTool.InstanceProps.ButtonGroup = "Font Settings";
			underlineTool.InstanceProps.ButtonGroup = "Font Settings";
			strikethruTool.InstanceProps.ButtonGroup = "Font Settings";
			dblUnderlineTool.InstanceProps.ButtonGroup = "Font Settings";

			// Chart Types
			// ===========
			RibbonGroup chartGroup = homeTab.Groups.Add("Chart");
			chartGroup.Tools.AddTool("Chart Types");
		}
		#endregion //CreateHomeTab

		#region InitializeApplicationMenu
		/// <summary>
		/// Initializes the contents of the ribbon's application menu
		/// </summary>
		private void InitializeApplicationMenu()
		{
			// the ApplicationMenu is displayed by clicking on the application menu
			// button in the upper left corner of the ribbon. this object can be 
			// accessed via the ApplicationMenu property of the Ribbon
			ApplicationMenu appMenu = this.ultraToolbarsManager1.Ribbon.ApplicationMenu;

			// the ToolAreaLeft and ToolAreaRight properties of the application menu
			// provide control over the display and contents of the left and right
			// side of the menu respectively

			// ToolAreaLeft
			// ============
			appMenu.ToolAreaLeft.Tools.AddTool("New");
			appMenu.ToolAreaLeft.Tools.AddTool("Open");
			appMenu.ToolAreaLeft.Tools.AddTool("Save");
			appMenu.ToolAreaLeft.Tools.AddTool("SaveAs");

			// the AddTool method returns the instance of the tool that was 
			// added to the tools collection. we can then initialize its
			// InstanceProps. in this case, we want to show a separator
			// before the tool
			ToolBase closeTool = appMenu.ToolAreaLeft.Tools.AddTool("Close");
			closeTool.InstanceProps.IsFirstInGroup = true;


			// ToolAreaRight
			// =============
			appMenu.ToolAreaRight.Tools.AddTool("Recently Used");
			appMenu.ToolAreaRight.Tools.AddTool("MRU");

			// the label tool we added displays as a normal tool by default but we
			// want it to look like an Office 2007 header. this can be controlled
			// by changing the LabelDisplayStyle of a menu or tool area's settings
			appMenu.ToolAreaRight.Settings.LabelDisplayStyle = LabelMenuDisplayStyle.Header;

			// FooterToolbar
			// =============
			// the FooterToolbar returns the toolbar displayed at the bottom 
			// of the application menu. this is commonly used to provide an
			// exit button for an application and for showing an application
			// level settings dialog.
			ToolBase exitTool = appMenu.FooterToolbar.Tools.AddTool("Exit");

			// since this is a toolbar, the tool by default will only display
			// their image so we can change the default tool display style
			// as we can for any toolbar
			appMenu.FooterToolbar.Settings.ToolDisplayStyle = ToolDisplayStyle.ImageAndText;
		}
		#endregion //InitializeApplicationMenu

		#region InitializeQuickAccessToolbar
		private void InitializeQuickAccessToolbar()
		{
			// the qat is accessed via the ribbon's QuickAccessToolbar property
			QuickAccessToolbar qat = this.ultraToolbarsManager1.Ribbon.QuickAccessToolbar;

			// by default the qat is displayed above the ribbon but this can be
			// changed by setting the Location property of the qat
			qat.Location = QuickAccessToolbarLocation.AboveRibbon;

			// add some tools that the end user is likely to use frequently
			ToolBase saveTool = qat.Tools.AddTool("Save");
			ToolBase undoTool = qat.Tools.AddTool("Undo");
			ToolBase redoTool = qat.Tools.AddTool("Redo");

			// since these are instances of the tools, we can change their instance
			// props - e.g. to put a separator before the undo tool, we can set
			// its InstanceProps.IsFirstInGroup
			undoTool.InstanceProps.IsFirstInGroup = true;

			// the quick customize tool that is displayed at the end of the qat
			// can display a list of tools that the end user is likely to add
			// to the qat. this can be controlled via the qat's ContextMenuTools
			// collection.
			qat.ContextMenuTools.AddTool("New");
			qat.ContextMenuTools.AddTool("Open");
			qat.ContextMenuTools.AddTool("Save");
			qat.ContextMenuTools.AddTool("Undo");
			qat.ContextMenuTools.AddTool("Redo");

			// you can also add a ribbon group to the qat as a popup ribbon group
			// this is normally done at runtime by the end user by right clicking
			// on a ribbon group's caption and choosing Add to Quick Access Toolbar
			// but can also be done programically
			this.ultraToolbarsManager1.Ribbon.Tabs["Home"].Groups["Clipboard"].AddToQuickAccessToolbar();
		}
		#endregion //InitializeQuickAccessToolbar

		#region CreateTools
		/// <summary>
		/// This is just a helper method to create some default tools for the sample
		/// </summary>
		private void CreateTools()
		{
			// these are ordered based on the image in the small imagelist
			string[] tools = new string[] {"Bold","Italic","Underline","StrikeThrough",
											  "DoubleUnderline","LeftAlign","CenterAlign","RightAlign","Justify",
											  "Cut","Copy","Paste","Undo","Redo",
											  "Save", "New", "Open", "Exit"};

			for(int i = 0; i < tools.Length; i++)
				this.CreateButtonTool(tools[i], tools[i], i, -1);

			// we have large tool images for some of the tools we just created so
			// we'll initialize that now
			this.ultraToolbarsManager1.Tools["Save"].SharedProps.AppearancesLarge.Appearance.Image = LargeImageIndexSave;
			this.ultraToolbarsManager1.Tools["New"].SharedProps.AppearancesLarge.Appearance.Image = LargeImageIndexNew;
			this.ultraToolbarsManager1.Tools["Open"].SharedProps.AppearancesLarge.Appearance.Image = LargeImageIndexOpen;
			this.ultraToolbarsManager1.Tools["Paste"].SharedProps.AppearancesLarge.Appearance.Image = LargeImageIndexPaste;

			// we have a couple of more large tools
			this.CreateButtonTool("SaveAs", "Save As", -1, LargeImageIndexSaveAs);
			this.CreateButtonTool("Close", "Close", -1, LargeImageIndexClose);

			// there is a separate helper method for creating the chart gallery tool
			this.CreateChartGalleryTool();

			// create some editor tools we can use

			// font name
			FontListTool fontTool = new FontListTool("FontName");
			this.ultraToolbarsManager1.Tools.Add(fontTool);

			// font size
			ComboBoxTool fontSizeTool = new ComboBoxTool("FontSize");
			fontSizeTool.ValueList.ValueListItems.AddRange(new ValueListItem[] {
				   new ValueListItem(8),
				   new ValueListItem(9),
				   new ValueListItem(10),
				   new ValueListItem(11),
				   new ValueListItem(12),
				   new ValueListItem(14),
				   new ValueListItem(16),
				   new ValueListItem(18),
				   new ValueListItem(20),
				   new ValueListItem(22),
				   new ValueListItem(24),
				   new ValueListItem(26),
				   new ValueListItem(28),
				   new ValueListItem(36),
				   new ValueListItem(48),
				   new ValueListItem(72),
					});
			this.ultraToolbarsManager1.Tools.Add(fontSizeTool);

			// create a couple of tools that we can use for the 
			// dialog box launchers of ribbon groups
			ButtonTool dlClipboard = this.CreateButtonTool("ClipboardDialogLauncher", "Clipboard", -1, -1);
			ButtonTool dlFont = this.CreateButtonTool("FontDialogLauncher", "Font", -1, -1);

			string dialogLauncherTooltip = @"<p style='width:300'>This element is accessed by setting the <b>DialogBoxLauncherKey</b> property of the RibbonGroup to the key of a ButtonTool in the UltraToolbarsManager. When clicked, the ToolClick event for that tool will be invoked.</p><p style='width:300'>Note: You can also right click on this tool and add an instance of the tool to the QuickAccessToolbar.</p>";
			dlClipboard.SharedProps.ToolTipTextFormatted = dialogLauncherTooltip;
			dlFont.SharedProps.ToolTipTextFormatted = dialogLauncherTooltip;

			// we'll create a fake mru list to display within the application menu.
			ListTool mruTool = new ListTool("MRU");
			mruTool.ListToolItems.Add("doc1", "Document 1");
			mruTool.ListToolItems.Add("doc2", "Document 2");
			mruTool.ListToolItems.Add("doc3", "Document 3");
			this.ultraToolbarsManager1.Tools.Add(mruTool);

			// we'll also want a header label for the right side of the menu
			LabelTool recentlyUsedLabelTool = new LabelTool("Recently Used");
			recentlyUsedLabelTool.SharedProps.Caption = "Recently Used";
			this.ultraToolbarsManager1.Tools.Add( recentlyUsedLabelTool );
		}
		#endregion //CreateTools

		#region CreateButtonTool
		/// <summary>
		/// This is a helper method to create a button tool with the specified key, caption and image index.
		/// </summary>
		/// <param name="key">Key of the tool to create</param>
		/// <param name="caption">Caption of the button tool</param>
		/// <param name="smallImageIndex">Index of the small image for the tool</param>
		/// <param name="largeImageIndex">Index of the large image for the tool</param>
		/// <returns>The tool instance created</returns>
		private ButtonTool CreateButtonTool(string key, string caption, int smallImageIndex, int largeImageIndex)
		{
			ButtonTool btn = new ButtonTool(key);
			btn.SharedProps.Caption = caption;

			if (smallImageIndex >= 0)
				btn.SharedProps.AppearancesSmall.Appearance.Image = smallImageIndex;

			if (largeImageIndex >= 0)
				btn.SharedProps.AppearancesLarge.Appearance.Image = largeImageIndex;

			this.ultraToolbarsManager1.Tools.Add(btn);
			return btn;
		}
		#endregion //CreateButtonTool

		#region CreateChartGalleryTool
		/// <summary>
		/// Helper method to create a popup gallery tool with chart related images.
		/// </summary>
		/// <returns>The popup gallery tool that was created</returns>
		private PopupGalleryTool CreateChartGalleryTool()
		{
			PopupGalleryTool gallery = new PopupGalleryTool("Chart Types");

			// initialize the text/caption for the tool
			gallery.SharedProps.Caption = "Chart Types";

			// we're going to show chart images so do not display the text
			gallery.ShowItemText = ShowGalleryItemText.Never;

			// we'll use the first image for the tool. the large image will be used 
			// for a popup gallery tool when its shown as a large tool in the ribbon
			// which should occur when there is not enough room to show the minimum
			// number of preview items
			gallery.SharedProps.AppearancesLarge.Appearance.Image = LargeImageIndexFirstChart;

			// show 3-6 preview items when sited on a ribbon group
			gallery.MinPreviewColumns = 3;
			gallery.MaxPreviewColumns = 6;

			// the dropdown should never have less then 3 columns
			gallery.MinDropDownColumns = 3;

			// create the items for the gallery
			for(int i= 0; i < ChartNames.Length; i++)
			{
				string name = ChartNames[i];
				GalleryToolItem item = gallery.Items.Add(name);
				item.ToolTipText = name;
				item.Settings.Appearance.Image = i + LargeImageIndexFirstChart;
			}

			string[][] groups = new string[][] { 
						ChartGroupsArea, ChartGroupsBar, ChartGroupsBubble, 
						ChartGroupsCandle, ChartGroupsColumn, ChartGroupsDoughnut, 
						ChartGroupsHeat, ChartGroupsLine, ChartGroupsMisc, ChartGroupsPie, 
						ChartGroupsPyramid, ChartGroupsRadar};
			string[] groupNames = new string[] {
						"Area", "Bar", "Bubble",
						"Candle", "Column", "Doughnut",
						"Heat", "Line", "Misc", "Pie",
						"Pyramid", "Radar",
			};

			// popup gallery tools have the ability to display the items
			// in the dropdown within groups.
			for(int i = 0; i < groups.Length; i++)
			{
				string[] chartGroup = groups[i];
				string groupName = groupNames[i];

				// create the group
				GalleryToolItemGroup group =  gallery.Groups.Add(groupName);
				group.Text = groupName;

				// add all the keys of the items from the gallery tool's
				// Items collection that should be displayed within the group
				// note: items can be displayed in multiple groups
				for(int j = 0; j < chartGroup.Length; j++)
				{
					string chartName = chartGroup[j];

					group.Items.Add(chartName);
				}

				// popup gallery tools also have the ability to display a filter
				// bar at the top of the dropdown that can be used to filter the 
				// list of groups displayed in the dropdown.
				// in this exameple, we're createing a filter for each group
				GalleryToolItemGroupFilter filter = gallery.GroupFilters.Add(groupName);
				filter.Groups.Add(groupName);
			}

			// create a filter that will show all the groups
			GalleryToolItemGroupFilter filterAll = gallery.GroupFilters.Add("All");
			filterAll.Groups.AddRange(groupNames);

			// and make that the default/selected filter
			gallery.SelectedGroupFilterKey = "All";

			this.ultraToolbarsManager1.Tools.Add(gallery);

			return gallery;
		}
		#endregion //CreateChartGalleryTool

		#region CreateHorizontalGroupTab
		/// <summary>
		/// Creates a tab containing ribbon groups with their LayoutDirection set to Horizontal
		/// </summary>
		private void CreateHorizontalGroupTab()
		{
			Ribbon ribbon = this.ultraToolbarsManager1.Ribbon;

			// create the tab item. this tab will be added to the end of the tab list
			RibbonTab tab = ribbon.Tabs.Add("Horizontal Groups");

			// create the groups
			RibbonGroup groupLeft = tab.Groups.Add("Near");
			RibbonGroup groupCenter = tab.Groups.Add("Center");
			RibbonGroup groupRight = tab.Groups.Add("Far");

			// all of the groups in this tab will be horizontally arranged
			groupLeft.LayoutDirection = RibbonGroupToolLayoutDirection.Horizontal;
			groupCenter.LayoutDirection = RibbonGroupToolLayoutDirection.Horizontal;
			groupRight.LayoutDirection = RibbonGroupToolLayoutDirection.Horizontal;

			groupLeft.PreferredToolSize = RibbonToolSize.Normal;
			groupCenter.PreferredToolSize = RibbonToolSize.Normal;
			groupRight.PreferredToolSize = RibbonToolSize.Normal;

			// initialize their alignment
			groupLeft.LayoutAlignment = RibbonGroupLayoutAlignment.Near;
			groupCenter.LayoutAlignment = RibbonGroupLayoutAlignment.Center;
			groupRight.LayoutAlignment = RibbonGroupLayoutAlignment.Far;

			// create some tools that we will place in the groups
			//
			ComboBoxTool cboTool = new ComboBoxTool("horizontalGroupCombo");
			ButtonTool btnTool1 = new ButtonTool("horizontalGroupButton1");
			ButtonTool btnTool2 = new ButtonTool("horizontalGroupButton2");
			ButtonTool btnTool3 = new ButtonTool("horizontalGroupButton3");

			cboTool.SharedProps.Caption = "Combo:";
			btnTool1.SharedProps.Caption = "1";
			btnTool2.SharedProps.Caption = "2";
			btnTool3.SharedProps.Caption = "3";

			this.ultraToolbarsManager1.Tools.AddRange(new ToolBase[] { cboTool, btnTool1, btnTool2, btnTool3 });

			// for this example tab, we'll add the same tools to each group to
			// demonstrate how the alignment differs
			for (int i = 0; i < 3; i++)
			{
				RibbonGroup group;

				if (i == 0)
					group = groupLeft;
				else if (i == 1)
					group = groupCenter;
				else
					group = groupRight;

				// add a combo tool
				group.Tools.AddTool("horizontalGroupCombo");

				// add a small button group
				ToolBase btnInstance1 = group.Tools.AddTool("horizontalGroupButton1");
				ToolBase btnInstance2 = group.Tools.AddTool("horizontalGroupButton2");

				// we're not setting an image so make sure the tool doesn't size smaller than the normal tool size.
				btnInstance1.InstanceProps.MinimumSizeOnRibbon = RibbonToolSize.Normal;
				btnInstance2.InstanceProps.MinimumSizeOnRibbon = RibbonToolSize.Normal;

				btnInstance1.InstanceProps.ButtonGroup = "Group 1";
				btnInstance2.InstanceProps.ButtonGroup = "Group 1";

				// add a small button group
				ToolBase btnInstance3 = group.Tools.AddTool("horizontalGroupButton3");

				// we're not setting an image so make sure the tool doesn't size smaller than the normal tool size.
				btnInstance3.InstanceProps.MinimumSizeOnRibbon = RibbonToolSize.Normal;

				btnInstance3.InstanceProps.ButtonGroup = "Group 2";

				// add some tools that are not part of a button group
				group.Tools.AddTool("horizontalGroupButton1");
				group.Tools.AddTool("horizontalGroupButton2");
				group.Tools.AddTool("horizontalGroupButton3");

				// create another larger button group
				ToolBase btnInstance5 = group.Tools.AddTool("horizontalGroupButton1");
				ToolBase btnInstance6 = group.Tools.AddTool("horizontalGroupButton2");
				ToolBase btnInstance7 = group.Tools.AddTool("horizontalGroupButton3");

				// we're not setting an image so make sure the tool doesn't size smaller than the normal tool size.
				btnInstance5.InstanceProps.MinimumSizeOnRibbon = RibbonToolSize.Normal;
				btnInstance6.InstanceProps.MinimumSizeOnRibbon = RibbonToolSize.Normal;
				btnInstance7.InstanceProps.MinimumSizeOnRibbon = RibbonToolSize.Normal;

				btnInstance5.InstanceProps.ButtonGroup = "Group 3";
				btnInstance6.InstanceProps.ButtonGroup = "Group 3";
				btnInstance7.InstanceProps.ButtonGroup = "Group 3";
			}
		} 
		#endregion //CreateHorizontalGroupTab

		#region CreateVerticalGroupTab
		/// <summary>
		/// Creates a tab containing ribbon groups with their LayoutDirection set to Vertical
		/// </summary>
		private void CreateVerticalGroupTab()
		{
			Ribbon ribbon = this.ultraToolbarsManager1.Ribbon;

			// create the tab item. this tab will be added to the end of the tab list
			RibbonTab tab = ribbon.Tabs.Add("Vertical Groups");

			// create the groups
			RibbonGroup groupLeft = tab.Groups.Add("Near");
			RibbonGroup groupCenter = tab.Groups.Add("Center");
			RibbonGroup groupRight = tab.Groups.Add("Far");

			// all of the groups in this tab will be horizontally arranged
			groupLeft.LayoutDirection = RibbonGroupToolLayoutDirection.Vertical;
			groupCenter.LayoutDirection = RibbonGroupToolLayoutDirection.Vertical;
			groupRight.LayoutDirection = RibbonGroupToolLayoutDirection.Vertical;

			// initialize their alignment
			groupLeft.LayoutAlignment = RibbonGroupLayoutAlignment.Near;
			groupCenter.LayoutAlignment = RibbonGroupLayoutAlignment.Center;
			groupRight.LayoutAlignment = RibbonGroupLayoutAlignment.Far;

			groupLeft.PreferredToolSize = RibbonToolSize.Normal;
			groupCenter.PreferredToolSize = RibbonToolSize.Normal;
			groupRight.PreferredToolSize = RibbonToolSize.Normal;

			// create some tools that we will place in the groups
			//
			ButtonTool btnTool1 = new ButtonTool("verticalGroupButton1");
			ButtonTool btnTool2 = new ButtonTool("verticalGroupButton2");
			ButtonTool btnTool3 = new ButtonTool("verticalGroupButton3");

			btnTool1.SharedProps.Caption = "1";
			btnTool2.SharedProps.Caption = "2";
			btnTool3.SharedProps.Caption = "3";

			this.ultraToolbarsManager1.Tools.AddRange(new ToolBase[] { btnTool1, btnTool2, btnTool3 });

			// for this example tab, we'll add the same tools to each group to
			// demonstrate how the alignment differs
			for (int i = 0; i < 3; i++)
			{
				RibbonGroup group;

				if (i == 0)
					group = groupLeft;
				else if (i == 1)
					group = groupCenter;
				else
					group = groupRight;

				// the first column will have 1 tool - this will be caused by
				// having the next tool show a separator
				group.Tools.AddTool("verticalGroupButton1");

				// the second column with 2 tools - this will be caused by
				// having the next tool show a separator
				ToolBase btnColumn2 = group.Tools.AddTool("verticalGroupButton1");
				btnColumn2.InstanceProps.IsFirstInGroup = true;
				group.Tools.AddTool("verticalGroupButton2");

				// the next column will have 3 tools
				ToolBase btnColumn3 = group.Tools.AddTool("verticalGroupButton1");
				btnColumn3.InstanceProps.IsFirstInGroup = true;
				group.Tools.AddTool("verticalGroupButton2");
				group.Tools.AddTool("verticalGroupButton3");

				// the tools in a button group within a vertical group are kept
				// together and positioned as a single unit.

				// add a small button group
				ToolBase btnInstance1 = group.Tools.AddTool("verticalGroupButton1");
				ToolBase btnInstance2 = group.Tools.AddTool("verticalGroupButton2");

				// we're not setting an image so make sure the tool doesn't size smaller than the normal tool size.
				btnInstance1.InstanceProps.MinimumSizeOnRibbon = RibbonToolSize.Normal;
				btnInstance2.InstanceProps.MinimumSizeOnRibbon = RibbonToolSize.Normal;

				btnInstance1.InstanceProps.ButtonGroup = "Group 1";
				btnInstance2.InstanceProps.ButtonGroup = "Group 1";

				// add a small button group
				ToolBase btnInstance3 = group.Tools.AddTool("verticalGroupButton3");

				// we're not setting an image so make sure the tool doesn't size smaller than the normal tool size.
				btnInstance3.InstanceProps.MinimumSizeOnRibbon = RibbonToolSize.Normal;

				btnInstance3.InstanceProps.ButtonGroup = "Group 2";
			}
		} 
		#endregion //CreateVerticalGroupTab

		#region CreateResizableGroupTab
		/// <summary>
		/// Creates a new ribbon tab containing ribbon groups that demonstrate the resizing capabilities 
		/// of the ribbon
		/// </summary>
		private void CreateResizableGroupTab()
		{
			Ribbon ribbon = this.ultraToolbarsManager1.Ribbon;

			// create the tab item. this tab will be added to the end of the tab list
			RibbonTab tab = ribbon.Tabs.Add("Resizing Demo");
	
			// Large Tools
			// ===========
			RibbonGroup groupWithLargeTools = tab.Groups.Add("Large Tools");
			ToolBase tool1 = groupWithLargeTools.Tools.AddTool("New");
			ToolBase tool2 = groupWithLargeTools.Tools.AddTool("Open");
			ToolBase tool3 = groupWithLargeTools.Tools.AddTool("Save");

			// these tools will start as 3 large tools. when 3 large consecutive tools
			// are encountered and there is not enough room to show all the tools, the 
			// tools will be collapsed in a vertically stacked 3 normal tools. since 
			// we're not setting the MinimumSizeOnRibbon, the minimum will default to
			// image only so if space is still needed, the captions of the tools
			// will be removed if needed
			tool1.InstanceProps.PreferredSizeOnRibbon = RibbonToolSize.Large;
			tool2.InstanceProps.PreferredSizeOnRibbon = RibbonToolSize.Large;
			tool3.InstanceProps.PreferredSizeOnRibbon = RibbonToolSize.Large;

			// note, you can prevent tools from collapsing by setting their MinimumSizeOnRibbon
			// the following will ensure that the last tool in this group will always display
			// as a large tool
			ToolBase tool4 = groupWithLargeTools.Tools.AddTool("New");
			tool4.InstanceProps.PreferredSizeOnRibbon = RibbonToolSize.Large;
			tool4.InstanceProps.MinimumSizeOnRibbon = RibbonToolSize.Large;

			// Horizontal Group
			// ================
			// tools in a horizontally arranged group will be collapsed from 2 tool
			// rows to 3 row when there is not enough room to fit all the tools
			RibbonGroup horzGroup = tab.Groups.Add("Horizontal");
			horzGroup.LayoutDirection = RibbonGroupToolLayoutDirection.Horizontal;

			// often horizontal groups will only show tool images so we'll default
			// the preferred tool size of the tools in the group to ImageOnly
			horzGroup.PreferredToolSize = RibbonToolSize.ImageOnly;

			// to make it easier to see the tools and to show how a button group's tool
			// are always kept together, we'll add the tools to groups
			horzGroup.Tools.AddTool("Bold").InstanceProps.ButtonGroup = "Font";
			horzGroup.Tools.AddTool("Italic").InstanceProps.ButtonGroup = "Font";
			horzGroup.Tools.AddTool("Underline").InstanceProps.ButtonGroup = "Font";
			horzGroup.Tools.AddTool("StrikeThrough").InstanceProps.ButtonGroup = "Font";
			horzGroup.Tools.AddTool("DoubleUnderline").InstanceProps.ButtonGroup = "Font";

			horzGroup.Tools.AddTool("LeftAlign").InstanceProps.ButtonGroup = "Align";
			horzGroup.Tools.AddTool("CenterAlign").InstanceProps.ButtonGroup = "Align";
			horzGroup.Tools.AddTool("RightAlign").InstanceProps.ButtonGroup = "Align";
			horzGroup.Tools.AddTool("Justify").InstanceProps.ButtonGroup = "Align";

			horzGroup.Tools.AddTool("Cut").InstanceProps.ButtonGroup = "Clipboard";
			horzGroup.Tools.AddTool("Copy").InstanceProps.ButtonGroup = "Clipboard";
			horzGroup.Tools.AddTool("Paste").InstanceProps.ButtonGroup = "Clipboard";

			horzGroup.Tools.AddTool("Undo").InstanceProps.ButtonGroup = "Undo";
			horzGroup.Tools.AddTool("Redo").InstanceProps.ButtonGroup = "Undo";

			// an additional resize phase includes the ability for a group to ultimately collapse
			// displaying only a dropdown button that can be clicked to show the group's contents
			// in a popup window. this can be prevented by using the CanCollapse property. in this
			// case we will prevent the gallery group from being collapsible.
			horzGroup.Settings.CanCollapse = DefaultableBoolean.False;


			// Gallery Preview
			// ===============
			RibbonGroup galleryGroup = tab.Groups.Add("Gallery");

			// when a gallery preview is positioned in a ribbon group, it can expand to show
			// more items then its minimum (up to its MaxPreviewColumns). once there isn't
			// enough room for the gallery tool to show its preview, it will be collapsed 
			// and be displayed as a large popup tool. at this point, it can participate
			// in the layout resizing and possibly collapse to a normal tool if it occurs
			// within a group of 2 other consecutive large tools
			ToolBase galleryTool = galleryGroup.Tools.AddTool("Chart Types");

			// we'll just add a couple of more large tools to show what can happen
			galleryGroup.Tools.AddTool("New").InstanceProps.PreferredSizeOnRibbon = RibbonToolSize.Large;
			galleryGroup.Tools.AddTool("Open").InstanceProps.PreferredSizeOnRibbon = RibbonToolSize.Large;

			// note, you can prevent tools from collapsing by setting their MinimumSizeOnRibbon
			// the following will ensure that the gallery tool will never hide its caption
			galleryTool.InstanceProps.MinimumSizeOnRibbon = RibbonToolSize.Normal;

			// an additional resize phase includes the ability for a group to ultimately collapse
			// displaying only a dropdown button that can be clicked to show the group's contents
			// in a popup window. this can be prevented by using the CanCollapse property. in this
			// case we will prevent the gallery group from being collapsible.
			galleryGroup.Settings.CanCollapse = DefaultableBoolean.False;

			// Normal Tools
			// ============
			// when there is not enough room to display all the contents, separators are removed
			// from between tools. when this happens tools that were not consecutive now become
			// consecutive and therefore are eligible to be collapsed further. for example, in this
			// group, when 3 normal tools become consecutive tools because they separator was removed
			// the tools can then be collapsed to 3 image only tools (assuming their MinimumSizeOnRibbon
			// does not preclude this).
			//
			RibbonGroup normalToolGroup = tab.Groups.Add("Normal Tools");
			normalToolGroup.Tools.AddTool("Cut");
			normalToolGroup.Tools.AddTool("Copy");
			normalToolGroup.Tools.AddTool("Undo").InstanceProps.IsFirstInGroup = true;
			normalToolGroup.Tools.AddTool("Redo");
		}
		#endregion //CreateResizableGroupTab

		#region CreateContextualTab
		/// <summary>
		/// Creates a new contextual ribbon tab
		/// </summary>
		private void CreateContextualTab()
		{
			Ribbon ribbon = this.ultraToolbarsManager1.Ribbon;

			// create the tab. note that all contextual tabs are displayed at
			// the end of the tab list.
			RibbonTab tab = ribbon.Tabs.Add("Contextual Tab");

			// a ContextualTabGroup is an object that maintains a collection of
			// Tabs that represent the tabs within the group. all of the tabs
			// in a contextual tab group are kept together and displayed 
			// under the caption of the contextual tab group
			ContextualTabGroup tabGroup = new ContextualTabGroup("ContextualTabGroup1");
			ribbon.ContextualTabGroups.Add(tabGroup);

			// the caption of a contextual tab group is displayed above the 
			// tabs in the group in the caption area of the ribbon
			tabGroup.Caption = "Contextual Tabs";

			// the visible property is an easy way to show/hide all the tabs
			// of a contextual tab group in a single operation
			tabGroup.Visible = true;

			// there are two ways to make a tab become part of a contextual tab group. 
			// one is to add the tab to the Tabs collection of the group
			// e.g.
			//tabGroup.Tabs.Add(tab);
			// and the other is to set the ContextualTabGroup property to the group instance
			tab.ContextualTabGroup = tabGroup;
		}
		#endregion //CreateContextualTab

		#region LogEvent
		private void LogEvent(string eventName)
		{
			this.LogEvent(eventName, string.Empty);
		}

		private void LogEvent(string eventName, RibbonTab tab)
		{
			this.LogEvent(eventName, tab.ToString());
		}

		private void LogEvent(string eventName, RibbonGroup group)
		{
			this.LogEvent(eventName, group.ToString());
		}

		private void LogEvent(string eventName, ToolBase tool)
		{
			this.LogEvent(eventName, tool.ToString());
		}

		private void LogEvent(string eventName, PopupGalleryTool tool, GalleryToolItem item)
		{
			this.LogEvent(eventName, string.Format("Tool: {0} Item:{1}", tool, item) );
		}

		private void LogEvent(string eventName, string parameters)
		{
			int index = this.lstEvents.Items.Add(eventName + " " + parameters);
			this.lstEvents.TopIndex = index;
		}
		#endregion //LogEvent

		#region chkRibbonMinimized_CheckedChanged
		private void chkRibbonMinimized_CheckedChanged(object sender, System.EventArgs e)
		{
			this.ultraToolbarsManager1.Ribbon.IsMinimized = ((UltraCheckEditor)sender).Checked;
		}
		#endregion //chkRibbonMinimized_CheckedChanged

		#region cboQatPosition_SelectionChanged
		private void cboQatPosition_SelectionChanged(object sender, System.EventArgs e)
		{
			this.ultraToolbarsManager1.Ribbon.QuickAccessToolbar.Location = (QuickAccessToolbarLocation)((UltraComboEditor)sender).Value;
		}
		#endregion //cboQatPosition_SelectionChanged

		#region ultraToolbarsManager1_AfterRibbonTabSelected
		private void ultraToolbarsManager1_AfterRibbonTabSelected(object sender, Infragistics.Win.UltraWinToolbars.RibbonTabEventArgs e)
		{
			this.LogEvent("AfterRibbonTabSelected", e.Tab);

			// select the appropriate ultratab tab when the ribbon tab is selected
			this.ultraTabControl1.Tabs[e.Tab.Key].Selected = true;
		}
		#endregion //ultraToolbarsManager1_AfterRibbonTabSelected

		#region cboColorScheme_SelectionChanged
		private void cboColorScheme_SelectionChanged(object sender, System.EventArgs e)
		{
			Office2007ColorTable.ColorScheme = (Office2007ColorScheme)((UltraComboEditor)sender).Value;
		}
		#endregion //cboColorScheme_SelectionChanged

		#region ToolbarManager events
		private void ultraToolbarsManager1_AfterApplicationMenuCloseUp(object sender, System.EventArgs e)
		{
			this.LogEvent("AfterApplicationMenuCloseUp");
		}

		private void ultraToolbarsManager1_AfterApplicationMenuDropDown(object sender, System.EventArgs e)
		{
			this.LogEvent("AfterApplicationMenuDropDown");
		}

		private void ultraToolbarsManager1_AfterRibbonGroupCloseUp(object sender, Infragistics.Win.UltraWinToolbars.RibbonGroupEventArgs e)
		{
			this.LogEvent("AfterRibbonGroupCloseUp", e.Group);
		}

		private void ultraToolbarsManager1_AfterRibbonGroupDropDown(object sender, Infragistics.Win.UltraWinToolbars.RibbonGroupEventArgs e)
		{
			this.LogEvent("AfterRibbonGroupDropDown", e.Group);
		}

		private void ultraToolbarsManager1_AfterRibbonTabCloseUp(object sender, Infragistics.Win.UltraWinToolbars.RibbonTabEventArgs e)
		{
			this.LogEvent("AfterRibbonTabCloseUp", e.Tab);
		}

		private void ultraToolbarsManager1_AfterRibbonTabDropDown(object sender, Infragistics.Win.UltraWinToolbars.RibbonTabEventArgs e)
		{
			this.LogEvent("AfterRibbonTabDropDown", e.Tab);
		}

		private void ultraToolbarsManager1_BeforeApplicationMenuDropDown(object sender, System.ComponentModel.CancelEventArgs e)
		{
			this.LogEvent("BeforeApplicationMenuDropDown");
		}

		private void ultraToolbarsManager1_BeforeRibbonGroupDropDown(object sender, Infragistics.Win.UltraWinToolbars.BeforeRibbonGroupDropDownEventArgs e)
		{
			this.LogEvent("BeforeRibbonGroupDropDown", e.Group);
		}

		private void ultraToolbarsManager1_BeforeRibbonTabDropDown(object sender, Infragistics.Win.UltraWinToolbars.BeforeRibbonTabDropDownEventArgs e)
		{
			this.LogEvent("BeforeRibbonTabDropDown", e.Tab);
		}

		private void ultraToolbarsManager1_BeforeRibbonTabSelected(object sender, Infragistics.Win.UltraWinToolbars.BeforeRibbonTabSelectedEventArgs e)
		{
			this.LogEvent("BeforeRibbonTabSelected", e.Tab);
		}

		private void ultraToolbarsManager1_BeforeToolbarListDropdown(object sender, Infragistics.Win.UltraWinToolbars.BeforeToolbarListDropdownEventArgs e)
		{
			this.LogEvent("BeforeToolbarListDropdown");
		}

		private void ultraToolbarsManager1_GalleryToolActiveItemChange(object sender, Infragistics.Win.UltraWinToolbars.GalleryToolItemEventArgs e)
		{
			this.LogEvent("GalleryToolActiveItemChange", e.GalleryTool, e.Item);
		}

		private void ultraToolbarsManager1_GalleryToolFilterChange(object sender, Infragistics.Win.UltraWinToolbars.GalleryToolFilterChangeEventArgs e)
		{
			this.LogEvent("GalleryToolFilterChange", string.Format("Tool: {0} Filter:{1}", e.GalleryTool, e.Filter));
		}

		private void ultraToolbarsManager1_GalleryToolItemClick(object sender, Infragistics.Win.UltraWinToolbars.GalleryToolItemEventArgs e)
		{
			this.LogEvent("GalleryToolItemClick", e.GalleryTool, e.Item);
		}

		private void ultraToolbarsManager1_QuickAccessToolbarModified(object sender, Infragistics.Win.UltraWinToolbars.QuickAccessToolbarModifiedEventArgs e)
		{
			this.LogEvent("QuickAccessToolbarModified", e.QuickAccessToolbarChangeType.ToString());
		}

		private void ultraToolbarsManager1_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
		{
			this.LogEvent("ToolClick", e.Tool);
		}

		private void ultraToolbarsManager1_ToolValueChanged(object sender, Infragistics.Win.UltraWinToolbars.ToolEventArgs e)
		{
			this.LogEvent("ToolValueChanged", e.Tool);
		}

		private void ultraToolbarsManager1_BeforeToolDropdown(object sender, Infragistics.Win.UltraWinToolbars.BeforeToolDropdownEventArgs e)
		{
			this.LogEvent("BeforeToolDropdown", e.Tool);
		}

		private void ultraToolbarsManager1_AfterToolDropdown(object sender, Infragistics.Win.UltraWinToolbars.ToolDropdownEventArgs e)
		{
			this.LogEvent("AfterToolDropdown", e.Tool);
		}

		private void ultraToolbarsManager1_AfterToolCloseup(object sender, Infragistics.Win.UltraWinToolbars.ToolDropdownEventArgs e)
		{
			this.LogEvent("AfterToolCloseup", e.Tool);
		}
		#endregion //ToolbarManager events
	}
}
